Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85103 - (IDE SERVERWORKS)On ServerWorks IDE chipset, kernel-BOOT gives bogus /proc/sys/dev/cdrom/info output
Summary: (IDE SERVERWORKS)On ServerWorks IDE chipset, kernel-BOOT gives bogus /proc/sy...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579 85104 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-25 18:42 UTC by Michael Fulbright
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:34 UTC


Attachments (Terms of Use)

Description Michael Fulbright 2003-02-25 18:42:06 UTC
The chipset on this Compaq machine is:

00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 92)

In the boot kernel (2.4.20-4smp-BOOT) the proc entry /proc/sys/dev/cdrom/info
returns bogus information.  The system has a CD burner as /dev/hda and a DVD-ROM
drive as /dev/hdb.  In the normal kernel we get:

CD-ROM information, Id: cdrom.c 3.12 2000/10/18
 
drive name:             sr1     sr0
drive speed:            40      32
drive # of slots:       1       1
Can close tray:         1       1
Can open tray:          1       1
Can lock tray:          1       1
Can change speed:       1       1
Can select disk:        0       0
Can read multisession:  1       1
Can read MCN:           1       1
Reports media changed:  1       1
Can play audio:         1       1
Can write CD-R:         0       1
Can write CD-RW:        0       1
Can read DVD:           1       0
Can write DVD-R:        0       0
Can write DVD-RAM:      0       0

In the -BOOT kernel we kernel:

CD-ROM information, Id: cdrom.c 3.12 2000/10/18
 
drive name:             sr1     sr0
drive speed:            116     116
drive # of slots:       1       1
Can close tray:         1       1
Can open tray:          1       1
Can lock tray:          1       1
Can change speed:       1       1
Can select disk:        0       0
Can read multisession:  1       1
Can read MCN:           1       1
Reports media changed:  1       1
Can play audio:         1       1
Can write CD-R:         1       1
Can write CD-RW:        1       1
Can read DVD:           1       1
Can write DVD-R:        1       1
Can write DVD-RAM:      1       1

Not only are the speeds silly, but it indicates both can burn CD/DVDs. This
causes us to indicate both should use ide-scsi in the grub.conf, which is incorrect.

Comment 1 Alan Cox 2003-02-25 18:52:33 UTC
Is this specific to serverworks or does that drive combo fail with non serverworks ?

If you boot an installed box with init=/bin/sh then mount /proc by hand and
check the
info (you may need to modprobe the cd drivers obviously) is it also wrong ?


Comment 2 Jeremy Katz 2003-02-26 16:29:35 UTC
To add what I said on IRC yesterday evening here...

1) Boot UP kernel to init=/bin/bash, mount /proc, modprobe ide-cd --> everything
is fine
2) Boot BOTO kernel to init=/bin/bash, mount /proc, you get the bizarre
incorrect numbers

The main difference between the two afaik is that ide-cd is built-in to the BOOT
kernel as opposed to modular everywhere else.

Comment 3 Alan Cox 2003-06-09 13:47:45 UTC
Was this a DL360 ?


Comment 4 Michael Fulbright 2003-08-18 21:08:57 UTC
CC'ing jeremy - was it a DL360?

Comment 5 Jeremy Katz 2003-08-18 21:19:35 UTC
ML350

Comment 6 Bugzilla owner 2004-09-30 15:40:34 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.